Method: spaces.messagePins.create

Creates a message pin.

Requires user authentication with one of the following authorization scopes:

  • https://www.googleapis.com/auth/chat.spaces.pins
  • https://www.googleapis.com/auth/chat.spaces

HTTP request

POST https://chat.googleapis.com/v1/{parent=spaces/*}/messagePins

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent space in which to create the message pin. Format: spaces/{space}

Request body

The request body contains an instance of MessagePin.

Response body

If successful, the response body contains a newly created instance of MessagePin.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.spaces.pins
  • https://www.googleapis.com/auth/chat.spaces

For more information, see the Authorization guide.